function startRequest()
{
  var tfTextTxt = document.getElementById("tfText").value;
  if(tfTextTxt == ""){
    alert("Proszę wprowadzić poszukiwany tekst.");
    return;
  }

  var btnSzukaj = document.getElementById("btnSzukaj");
  btnSzukaj.disabled = true;

  url = "http://localhost/dane.php?text=" + tfTextTxt;
  url = encodeURI(url);
  startGETRequest(url, onComplete, onEnd);
}


function onComplete(text, xml)
{
  var div = document.getElementById("dataDiv");
  div.innerHTML = text;
}

function onEnd()
{
  var btnSzukaj = document.getElementById("btnSzukaj");
  btnSzukaj.disabled = false;
}